package eu.etaxonomy.taxeditor;

import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.actions.ActionFactory;
import org.eclipse.ui.actions.ActionFactory.IWorkbenchAction;
import org.eclipse.ui.application.ActionBarAdvisor;
import org.eclipse.ui.application.IActionBarConfigurer;

import eu.etaxonomy.taxeditor.store.StoreUtil;

/**
 * An action bar advisor is responsible for creating, adding, and disposing of
 * the actions added to a workbench window. Each window will be populated with
 * new actions.
 *
 * @author n.hoffmann
 * @version $Id: $
 */
public class ApplicationActionBarAdvisor extends ActionBarAdvisor {

	private IWorkbenchAction saveAction;
	private IWorkbenchAction saveAllAction;

	/**
	 * <p>Constructor for ApplicationActionBarAdvisor.</p>
	 *
	 * @param configurer a {@link org.eclipse.ui.application.IActionBarConfigurer} object.
	 */
	public ApplicationActionBarAdvisor(IActionBarConfigurer configurer) {
		super(configurer);
	}

	/** {@inheritDoc} */
	protected void makeActions(final IWorkbenchWindow window) {
		StoreUtil.setStatusLineManager(getActionBarConfigurer().getStatusLineManager());
		
		saveAction = ActionFactory.SAVE.create(window);
		register(saveAction);

		saveAllAction = ActionFactory.SAVE_ALL.create(window);
		register(saveAllAction);
	}
}
